Page MenuHomePhabricator

Create GLAM and GLAM-Tech projects
Closed, ResolvedPublic

Description

The GLAM-Wiki community is constantly creating needs for different kinds of technical infrastructure. At the moment these technical asks are spread all over phabricator, with very little connective tissue or ready strategies fo documentations. Developing a GLAM-Tech project would allow me as GLAM-Wiki strategist and other GLAM coordinators across the movement to keep track of these changes.

Event Timeline

Sadads created this task.Jun 20 2016, 1:12 PM
Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptJun 20 2016, 1:12 PM

@Luke081515 & @Aklapper What information do you need? there is no list on that documentation page, just a series of questions -- I am not sure what you actually need.

@Sadads us the following template for the beginning:

Project type: ...
Name: ...
Optional hashtatgs: ...
Project description: ...
Visible To: ...
Editable By: ...
Joinable By: ...

(check eg. T127007 for possible/example values)

Danny_B triaged this task as Normal priority.Jun 30 2016, 10:59 PM

Thanks @Danny_B I moved that recommendation to https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects , that way newbies can do it easily

So I discovered at Wikimania that it is probably better to have an additional GLAM queue as well for non tech needs, so actually two requests.

Project type: Project
Name: GLAM
Optional hashtags: GLAM
Project description: A work queue for global challenges facing the GLAM-Wiki volunteer community, following the model of the Education Collab ( see https://phabricator.wikimedia.org/project/board/1479/query/all/)
Visible To: All.
Editable By: @Sadads, @Astinson, @Wittylama, @Mrjohncummings, @Aubrey
Joinable By: All

Project type: Project Workboard for GLAM
Name: GLAMTech
Optional hashtatgs: GLAM-Tech
Project description: A backlog/queue of technical needs and requests related to GLAM-Wiki work, and needed either volunteer, Community Tech or other development attention.
Visible To: All
Editable By: @Sadads, @Astinson , @Abit , @DannyH , @kaldari
Joinable By: All

Sadads added a comment.Jul 5 2016, 2:50 PM

Realized I didn't ping @Luke081515 & @Aklapper

@Sadads No need to, they are subscribed, thus getting notifications. As well as other Project-Admins can see it on the board.

(Note that the projects will be editable for everybody and editing will intentionally not be restricted to specific users.)

Aklapper renamed this task from Create GLAM-Tech tag to Create GLAM and GLAM-Tech projects.Jul 5 2016, 5:38 PM
Aklapper claimed this task.
Aklapper closed this task as Resolved.Jul 5 2016, 5:44 PM

Requested projects GLAM and GLAM-Tech have been created.

Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Enjoy!

Sadads added a comment.Jul 5 2016, 8:36 PM

Sounds good! Thanks so much!